# QItemDelegate Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractItemDelegate.

### Constructor

- void QItemDelegate(QObject parent)

### Constructor Properties

- prototype: The QItemDelegate prototype object

### Prototype Object Properties

The QItemDelegate prototype object inherits properties from the QAbstractItemDelegate prototype object and also has the following properties.

- QItemEditorFactory itemEditorFactory()
- void setItemEditorFactory(QItemEditorFactory factory)

### Instance Properties

QItemDelegate objects inherit properties from the QItemDelegate prototype object and also have the following properties.

- clipping